What do I need to use Osmo?

You just need an iPad with a camera. Osmo is compatible with:

  • iPad 2
  • iPad (3rd Generation)
  • iPad (4th Generation)
  • iPad Mini
  • iPad Mini 2
  • iPad Mini 3
  • iPad Mini 4
  • iPad Air
  • iPad Air 2
  • iPad Pro 9.7"
  • iPad Gen 5

We are exploring support for the 12.9-inch iPad Pro, but there are no plans for the near future. Osmo does not work with Android-based or non-iOS tablets.

Still have a question? Please contact us!

What do I need to use Osmo?

Arisha -

You just need an iPad with a camera. Osmo is compatible with:

  • iPad 2
  • iPad (3rd Generation)
  • iPad (4th Generation)
  • iPad Mini
  • iPad Mini 2
  • iPad Mini 3
  • iPad Mini 4
  • iPad Air
  • iPad Air 2
  • iPad Pro 9.7"
  • iPad Gen 5

We are exploring support for the 12.9-inch iPad Pro, but there are no plans for the near future. Osmo does not work with Android-based or non-iOS tablets.

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.